# ibuffer-vc: Group buffers in ibuffer list by VC project #

Emacs' `ibuffer-mode` is a wonderful replacement for the built-in
`list-buffer` command, and allows buffers to be grouped
programatically, e.g. by major mode.

If, like me, you mostly work on version-controlled files, you might
like to see your buffers grouped by the associated version control
project.

That's where `ibuffer-vc` comes in: it lets you:

* Group your buffers by their parent vc root directory
* See the VC status of the associated files
* Sort buffers by their VC status
* Display buffer filenames that are relative to their VC root

## How to install ##

See `ibuffer-vc.el`, or (preferred) install from [MELPA][MELPA].


[MELPA]: http://melpa.org "MELPA"


<hr>


[💝 Support this project and my other Open Source work](https://www.patreon.com/sanityinc)

[💼 LinkedIn profile](https://uk.linkedin.com/in/stevepurcell)

[✍ sanityinc.com](http://www.sanityinc.com/)

[🐦 @sanityinc](https://twitter.com/sanityinc)
